Package org.spongepowered.asm.mixin.struct

## Class SpecialMethodInfo

- java.lang.Object
- - org.spongepowered.asm.mixin.struct.AnnotatedMethodInfo
  - - org.spongepowered.asm.mixin.struct.SpecialMethodInfo

All Implemented Interfaces:
  `IInjectionPointContext`, `ISelectorContext`, `IMessageSink`

Direct Known Subclasses:
  `AccessorInfo`, `InjectionInfo`

    public class SpecialMethodInfo
    extends AnnotatedMethodInfo

Information about a special mixin method such as an injector or accessor

### Field Summary

Fields
`protected org.objectweb.asm.tree.ClassNode` `classNode` Target class node
`protected MixinTargetContext` `mixin` Mixin data

### Fields inherited from class org.spongepowered.asm.mixin.struct.AnnotatedMethodInfo

`annotation, annotationType, method, methodName`

### Constructor Summary

Constructors
`SpecialMethodInfo​(MixinTargetContext mixin, org.objectweb.asm.tree.MethodNode method, org.objectweb.asm.tree.AnnotationNode annotation)`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`ClassInfo` `getClassInfo()` Get the class metadata for the mixin
`org.objectweb.asm.tree.ClassNode` `getClassNode()` Deprecated. use getTargetClassNode instead
`java.lang.String` `getMethodName()` Get the original name of the method, if available
`ClassInfo` `getTargetClassInfo()` Get the class metadata for the target class
`org.objectweb.asm.tree.ClassNode` `getTargetClassNode()` Get the target class node for this injection

### Methods inherited from class org.spongepowered.asm.mixin.struct.AnnotatedMethodInfo

`addMessage, getAnnotation, getAnnotationNode, getDynamicInfo, getDynamicInfo, getDynamicInfo, getElementDescription, getMethod, getMixin, getParent, getSelectorAnnotation, getSelectorCoordinate, remap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### classNode

    protected final org.objectweb.asm.tree.ClassNode classNode

Target class node

#### mixin

    protected final MixinTargetContext mixin

Mixin data

### Constructor Detail

#### SpecialMethodInfo

    public SpecialMethodInfo​(MixinTargetContext mixin,
                             org.objectweb.asm.tree.MethodNode method,
                             org.objectweb.asm.tree.AnnotationNode annotation)

### Method Detail

#### getClassNode

    @Deprecated
    public final org.objectweb.asm.tree.ClassNode getClassNode()

Deprecated.
use getTargetClassNode instead
Get the class node for this injection

Returns:
  the class containing the injector and the target

#### getTargetClassNode

    public final org.objectweb.asm.tree.ClassNode getTargetClassNode()

Get the target class node for this injection

Returns:
  the class containing the injector and the target

#### getTargetClassInfo

    public final ClassInfo getTargetClassInfo()

Get the class metadata for the target class

#### getClassInfo

    public final ClassInfo getClassInfo()

Get the class metadata for the mixin

#### getMethodName

    public java.lang.String getMethodName()

Get the original name of the method, if available

Overrides:
  `getMethodName` in class `AnnotatedMethodInfo`